OPT MODULE
OPT EXPORT

MODULE 'graphics/rastport'

CONST PCMYELLOW=0,
      PCMMAGENTA=1,
      PCMCYAN=2,
      PCMBLACK=3,
      PCMBLUE=0,
      PCMGREEN=1,
      PCMRED=2,
      PCMWHITE=3

OBJECT colorentry
-> a) next four CHARs are unioned as "colorlong:LONG"
-> b) next four CHARs are unioned as "colorsbyte[4]:ARRAY"
  colorbyte[4]:ARRAY
ENDOBJECT     /* SIZEOF=4 */

OBJECT prtinfo
  render:LONG
  rp:PTR TO rastport
  temprp:PTR TO rastport
  rowbuf:PTR TO INT
  hambuf:PTR TO INT
  colormap:PTR TO colorentry
  colorint:PTR TO colorentry
  hamint:PTR TO colorentry
  dest1int:PTR TO colorentry
  dest2int:PTR TO colorentry
  scalex:PTR TO INT
  scalexalt:PTR TO INT
  dmatrix:LONG
  topbuf:PTR TO INT
  botbuf:PTR TO INT
  rowbufsize:INT
  hambufsize:INT
  colormapsize:INT
  colorintsize:INT
  hamintsize:INT
  dest1intsize:INT
  dest2intsize:INT
  scalexsize:INT
  scalexaltsize:INT
  prefsflags:INT
  special:LONG
  xstart:INT
  ystart:INT
  width:INT
  height:INT
  pc:LONG
  pr:LONG
  ymult:INT
  ymod:INT
  ety:INT
  xpos:INT
  threshold:INT
  tempwidth:INT
  flags:INT
ENDOBJECT     /* SIZEOF=114 */

