OPT MODULE
OPT EXPORT

OPT PREPROCESS

MODULE 'exec/interrupts',
       'exec/libraries',
       'exec/lists',
       'exec/semaphores',
       'exec/tasks',
       'graphics/copper',
       'graphics/monitor',
       'graphics/sprite',
       'graphics/text',
       'graphics/view',
       'hardware/blit'

OBJECT gfxbase
-> Um, this was missing
  lib:lib
  actiview:PTR TO view
  copinit:PTR TO copinit
  cia:PTR TO LONG
  blitter:PTR TO LONG
  loflist:PTR TO INT
  shflist:PTR TO INT
  blthd:PTR TO bltnode
  blttl:PTR TO bltnode
  bsblthd:PTR TO bltnode
  bsblttl:PTR TO bltnode
  vbsrv:is
  timsrv:is
  bltsrv:is
  textfonts:lh
  defaultfont:PTR TO textfont
  modes:INT
  vblank:CHAR
  debug:CHAR
  beamsync:INT
  system_bplcon0:INT
  spritereserved:CHAR
  bytereserved:CHAR
  flags:INT
  blitlock:INT
  blitnest:INT
  blitwaitq:lh
  blitowner:PTR TO tc
  tof_waitq:lh
  displayflags:INT
  simplesprites:PTR TO LONG
  maxdisplayrow:INT
  maxdisplaycolumn:INT
  normaldisplayrows:INT
  normaldisplaycolumns:INT
  normaldpmx:INT
  normaldpmy:INT
  lastchancememory:PTR TO ss
  lcmptr:PTR TO INT
  microsperline:INT
  mindisplaycolumn:INT
  chiprevbits0:CHAR
  memtype:CHAR
  crb_reserved[4]:ARRAY
  monitor_id:INT
  hedley[8]:ARRAY OF LONG
  hedley_sprites[8]:ARRAY OF LONG
  hedley_sprites1[8]:ARRAY OF LONG
  hedley_count:INT
  hedley_flags:INT
  hedley_tmp:INT
  hash_table:PTR TO LONG
  current_tot_rows:INT
  current_tot_cclks:INT
  hedley_hint:CHAR
  hedley_hint2:CHAR
  nreserved[4]:ARRAY OF LONG
  a2024_sync_raster:PTR TO LONG
  control_delta_pal:INT
  control_delta_ntsc:INT
  current_monitor:PTR TO monitorspec
  monitorlist:lh
  default_monitor:PTR TO monitorspec
  monitorlistsemaphore:PTR TO ss
  displayinfodatabase:LONG
  topline:INT
  activiewcprsemaphore:PTR TO ss
  utilbase:PTR TO LONG
  execbase:PTR TO LONG
  bwshifts:LONG
  strtfetchmasks:PTR TO INT
  stopfetchmasks:PTR TO INT
  overrun:PTR TO INT
  realstops:PTR TO INT
  spritewidth:INT
  spritefmode:INT
  softsprites:CHAR
  arraywidth:CHAR
  defaultspritewidth:INT
  sprmovedisable:CHAR
  wantchips:CHAR
  boardmemtype:CHAR
  bugs:CHAR
  layersbase:PTR TO LONG
  colormask:LONG
  ivector:LONG
  idata:LONG
  specialcounter:LONG
  dblist:LONG
  monitorflags:INT
  scandoubledsprites:CHAR
  bp3bits:CHAR
  monitorvblank:analogsignalinterval
  natural_monitor:PTR TO monitorspec
  progdata:LONG
  extsprites:CHAR
ENDOBJECT     /* SIZEOF=497 */

CONST OWNBLITTERN=0,
      QBOWNERN=1,
      BLITMSG_FAULTN=2,
      BLITMSG_FAULT=4,
      QBOWNER=2,
      GBFLAGSF_TIMER=$40,
      GBFLAGSF_LASTBLIT=$80,
      GFXB_BIG_BLITS=0,
      GFXB_HR_AGNUS=0,
      GFXB_HR_DENISE=1,
      GFXB_AA_ALICE=2,
      GFXB_AA_LISA=3,
      GFXB_AA_MLISA=4,
      GFXF_BIG_BLITS=1,
      GFXF_HR_AGNUS=1,
      GFXF_HR_DENISE=2,
      GFXF_AA_ALICE=4,
      GFXF_AA_LISA=8,
      GFXF_AA_MLISA=16,
      SETCHIPREV_A=1,
      SETCHIPREV_ECS=3,
      SETCHIPREV_AA=15,
      SETCHIPREV_BEST=-1,
      BUS_16=0,
      NML_CAS=0,
      BUS_32=1,
      DBL_CAS=2,
      BANDWIDTH_1X=0,
      BANDWIDTH_2XNML=1,
      BANDWIDTH_2XDBL=2,
      BANDWIDTH_4X=3,
      NTSCN=0,
      NTSC=1,
      GENLOCN=1,
      GENLOC=2,
      PALN=2,
      PAL=4,
      TODA_SAFEN=3,
      TODA_SAFE=8,
      REALLY_PALN=4,
      REALLY_PAL=16

#define GRAPHICSNAME 'graphics.library'
