OPT MODULE
OPT EXPORT

OBJECT audchannel
  ptr:PTR TO INT
  len:INT
  per:INT
  vol:INT
  dat:INT
  pad[2]:ARRAY OF INT
ENDOBJECT

OBJECT spritedef
  pos:INT
  ctl:INT
  dataa:INT
  datab:INT
ENDOBJECT

OBJECT custom
  bltdat:INT
  dmaconr:INT
  vposr:INT
  vhposr:INT
  dskdatr:INT
  joy0dat:INT
  joy1dat:INT
  clxdat:INT
  adkconr:INT
  pot0dat:INT
  pot1dat:INT
  potinp:INT
  serdatr:INT
  dskbytr:INT
  intenar:INT
  intreqr:INT
  dskpt:LONG
  dsklen:INT
  dskdat:INT
  refptr:INT
  vposw:INT
  vhposw:INT
  copcon:INT
  serdat:INT
  serper:INT
  potgo:INT
  joytest:INT
  strequ:INT
  strvbl:INT
  strhor:INT
  strlong:INT
  bltcon0:INT
  bltcon1:INT
  bltafwm:INT
  bltalwm:INT
  bltcpt:LONG
  bltbpt:LONG
  bltapt:LONG
  bltdpt:LONG
  bltsize:INT
  pad2d:CHAR
  bltcon0l:CHAR
  bltsizv:INT
  bltsizh:INT
  bltcmod:INT
  bltbmod:INT
  bltamod:INT
  bltdmod:INT
  pad34[4]:ARRAY OF INT
  bltcdat:INT
  bltbdat:INT
  bltadat:INT
  pad3b[3]:ARRAY OF INT
  deniseid:INT
  dsksync:INT
  cop1lc:LONG
  cop2lc:LONG
  copjmp1:INT
  copjmp2:INT
  copins:INT
  diwstrt:INT
  diwstop:INT
  ddfstrt:INT
  ddfstop:INT
  dmacon:INT
  clxcon:INT
  intena:INT
  intreq:INT
  adkcon:INT
  aud[4]:ARRAY OF audchannel
  bplpt[8]:ARRAY OF LONG
  bplcon0:INT
  bplcon1:INT
  bplcon2:INT
  bplcon3:INT
  bpl1mod:INT
  bpl2mod:INT
  bplcon4:INT
  clxcon2:INT
  bpldat[8]:ARRAY OF INT
  sprpt[8]:ARRAY OF LONG
  spr[8]:ARRAY OF spritedef
  color[32]:ARRAY OF INT
  htotal:INT
  hsstop:INT
  hbstrt:INT
  hbstop:INT
  vtotal:INT
  vsstop:INT
  vbstrt:INT
  vbstop:INT
  sprhstrt:INT
  sprhstop:INT
  bplhstrt:INT
  bplhstop:INT
  hhposw:INT
  hhposr:INT
  beamcon0:INT
  hsstrt:INT
  vsstrt:INT
  hcenter:INT
  diwhigh:INT
  padf3[11]:ARRAY OF INT
  fmode:INT
ENDOBJECT

CONST VARVBLANK=$1000,
      LOLDIS=$800,
      CSCBLANKEN=$400,
      VARVSYNC=$200,
      VARHSYNC=$100,
      VARBEAM=$80,
      DISPLAYDUAL=$40,
      DISPLAYPAL=$20,
      VARCSYNC=$10,
      CSBLANK=8,
      CSYNCTRUE=4,
      VSYNCTRUE=2,
      HSYNCTRUE=1,
      USE_BPLCON3=1,
      BPLCON2_ZDCTEN=$400,
      BPLCON2_ZDBPEN=$800,
      BPLCON2_ZDBPSEL0=$1000,
      BPLCON2_ZDBPSEL1=$2000,
      BPLCON2_ZDBPSEL2=$4000,
      BPLCON3_EXTBLNKEN=1,
      BPLCON3_EXTBLKZD=2,
      BPLCON3_ZDCLKEN=4,
      BPLCON3_BRDNTRAN=$10,
      BPLCON3_BRDNBLNK=$20

CONST BLTDDAT=0,
      DMACONR=2,
      VPOSR=4,
      VHPOSR=6,
      DSKDATR=8,
      JOY0DAT=10,
      JOY1DAT=12,
      CLXDAT=14,
      ADKCONR=16,
      POT0DAT=18,
      POT1DAT=20,
      POTINP=22,
      SERDATR=24,
      DSKBYTR=26,
      INTENAR=28,
      INTREQR=30,
      DSKPT=$20,
      DSKLEN=$24,
      DSKDAT=$26,
      REFPTR=$28,
      VPOSW=$2A,
      VHPOSW=$2C,
      COPCON=$2E,
      SERDAT=$30,
      SERPER=$32,
      POTGO=$34,
      JOYTEST=$36,
      STREQU=$38,
      STRVBL=$3A,
      STRHOR=$3C,
      STRLONG=$3E,
      BLTCON0=$40,
      BLTCON1=$42,
      BLTAFWM=$44,
      BLTALWM=$46,
      BLTCPT=$48,
      BLTBPT=$4C,
      BLTAPT=$50,
      BLTDPT=$54,
      BLTSIZE=$58,
      BLTCON0L=$5B,
      BLTSIZV=$5C,
      BLTSIZH=$5E,
      BLTCMOD=$60,
      BLTBMOD=$62,
      BLTAMOD=$64,
      BLTDMOD=$66,
      BLTCDAT=$70,
      BLTBDAT=$72,
      BLTADAT=$74,
      DENISEID=$7C,
      DSKSYNC=$7E,
      COP1LC=$80,
      COP2LC=$84,
      COPJMP1=$88,
      COPJMP2=$8A,
      COPINS=$8C,
      DIWSTRT=$8E,
      DIWSTOP=$90,
      DDFSTRT=$92,
      DDFSTOP=$94,
      DMACON=$96,
      CLXCON=$98,
      INTENA=$9A,
      INTREQ=$9C,
      ADKCON=$9E,
      AUD=$A0,
      AUD0=$A0,
      AUD1=$B0,
      AUD2=$C0,
      AUD3=$D0,
      AC_PTR=0,
      AC_LEN=4,
      AC_PER=6,
      AC_VOL=8,
      AC_DAT=10,
      AC_SIZEOF=16,
      BPLPT=$E0,
      BPLCON0=$100,
      BPLCON1=$102,
      BPLCON2=$104,
      BPLCON3=$106,
      BPL1MOD=$108,
      BPL2MOD=$10A,
      BPLCON4=$10C,
      CLXCON2=$10E,
      BPLDAT=$110,
      SPRPT=$120,
      SPR=$140,
      SD_POS=0,
      SD_CTL=2,
      SD_DATAA=4,
      SD_DATAB=6,
      SD_SIZEOF=8,
      COLOR=$180,
      HTOTAL=$1C0,
      HSSTOP=$1C2,
      HBSTRT=$1C4,
      HBSTOP=$1C6,
      VTOTAL=$1C8,
      VSSTOP=$1CA,
      VBSTRT=$1CC,
      VBSTOP=$1CE,
      SPRHSTRT=$1D0,
      SPRHSTOP=$1D2,
      BPLHSTRT=$1D4,
      BPLHSTOP=$1D6,
      HHPOSW=$1D8,
      HHPOSR=$1DA,
      BEAMCON0=$1DC,
      HSSTRT=$1DE,
      VSSTRT=$1E0,
      HCENTER=$1E2,
      DIWHIGH=$1E4,
      FMODE=$1FC

